Bug 749473 - Please, create EL6 branch in EPEL
Summary: Please, create EL6 branch in EPEL
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jbrout
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 753322 753336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-27 07:32 UTC by Matěj Cepl
Modified: 2018-04-11 14:57 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-09-19 11:53:35 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2011-10-27 07:32:25 UTC
Just because I want it.

Comment 1 Matěj Cepl 2011-10-27 07:33:24 UTC
Package Change Request
======================
Package Name: jbrout
New Branches: el6
Owners: mcepl

Comment 2 Gwyn Ciesla 2011-10-27 12:30:23 UTC
Git done (by process-git-requests).

Comment 3 Fedora Update System 2011-10-27 17:33:45 UTC
jbrout-0.3.338-0.4.svn338.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jbrout-0.3.338-0.4.svn338.el6

Comment 4 Fedora Update System 2011-10-31 18:59:12 UTC
jbrout-0.3.338-0.4.svn338.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 5 Matěj Cepl 2011-11-11 21:03:50 UTC
Doesn't work, we are missing pyexiv2 in EPEL-6

Comment 6 Matěj Cepl 2012-01-14 15:29:59 UTC
Still even with new pyexiv2 I am getting this error when adding any tag to a picture:

mitmanek:~ $ jbrout
The psyco module does not seem to be installed. It is not necessary, however it can speed up performance.
/usr/share/jbrout/jbrout.py:949: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips = gtk.Tooltips()
/usr/share/jbrout/jbrout/winshow.py:108: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips = gtk.Tooltips()
Traceback (most recent call last):
  File "/usr/share/jbrout/jbrout/winshow.py", line 217, in on_WinShow_key_press_event
    currentNode.addTag(tag)
  File "/usr/share/jbrout/jbrout/db.py", line 745, in addTag
    if pc.add(tag):
  File "/usr/share/jbrout/jbrout/tools.py", line 392, in add
    self.__majTags()
  File "/usr/share/jbrout/jbrout/tools.py", line 481, in __majTags
    self.__maj()
  File "/usr/share/jbrout/jbrout/tools.py", line 486, in __maj
    self.__info.writeMetadata()
  File "/usr/share/jbrout/jbrout/pyexiv.py", line 47, in writeMetadata
    self._md["Iptc.Envelope.CharacterSet"] = ['\x1b%G',] # set Charset as UTF8
  File "/usr/lib64/python2.6/site-packages/pyexiv2/metadata.py", line 271, in __setitem__
    return getattr(self, '_set_%s_tag' % family)(key, tag_or_value)
  File "/usr/lib64/python2.6/site-packages/pyexiv2/metadata.py", line 232, in _set_iptc_tag
    tag = IptcTag(key, tag_or_values)
  File "/usr/lib64/python2.6/site-packages/pyexiv2/iptc.py", line 102, in __init__
    self._set_values(values)
  File "/usr/lib64/python2.6/site-packages/pyexiv2/iptc.py", line 208, in _set_values
    self.raw_value = map(self._convert_to_string, values)
  File "/usr/lib64/python2.6/site-packages/pyexiv2/iptc.py", line 171, in _set_raw_values
    self._tag._setRawValues(values)
ValueError: Invalid value
mitmanek:~ $

Comment 7 Matěj Cepl 2012-09-19 11:53:35 UTC
Giving up on jbrout in EL-6. Upstream is mostly dead and I don't have energy to keep it up on my own.

Comment 8 Fedora Update System 2014-10-01 17:31:11 UTC
jbrout-0.4-0.13.git20140930reva7c8fb8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jbrout-0.4-0.13.git20140930reva7c8fb8.el6

Comment 9 Fedora Update System 2014-11-02 21:09:12 UTC
jbrout-0.4-0.13.git20140930reva7c8fb8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.